import { iColouredLine, iColourStyles, iStyleBlock } from './aieInterface';
export declare class ColouredLine {
    text: string;
    styles: iColourStyles;
    styleBlocks: iStyleBlock[];
    get html(): DocumentFragment;
    get htmlString(): string;
    constructor(arg: iColouredLine);
    constructor(arg: string, styles?: iColourStyles);
    constructor(arg: string, styles?: iColourStyles, styleBlocks?: iStyleBlock[]);
    applyStyle(styleName: string, start: number, end: number): void;
    removeStyle(start: number, end: number): void;
}
